function createTuneObject(player, object)
	local vehicle = getPedOccupiedVehicle(player)
	if vehicle then
		if not tune.elements[object][vehicle] then
			local x, y, z = getElementPosition(vehicle)
            local rx, ry, rz = getElementRotation (vehicle)
            local ID = getTuneObjectID(object)
            tune.elements[object][vehicle] = createObject(ID, x, y, z, rx, ry, rz)
            attachElements(tune.elements[object][vehicle], vehicle, 0, -0.15 , 0.1 , 0, 0, 0)
        else
        	if isElement(tune.elements[object][vehicle]) then destroyElement(tune.elements[object][vehicle]) end
        	tune.elements[object][vehicle] = false
		end
	end
end
addEvent("createTuneObject", true)
addEventHandler("createTuneObject", root, createTuneObject)

function moveTuneObject(player, object, move)
	local vehicle = getPedOccupiedVehicle(player)
	if vehicle then
		if tune.elements[object][vehicle] then
			x, y, z = getElementAttachedOffsets(tune.elements[object][vehicle])
			if move == "up" then
				setElementAttachedOffsets (tune.elements[object][vehicle], x, y, z+0.03)
			elseif move == "down" then
				setElementAttachedOffsets (tune.elements[object][vehicle], x, y, z-0.03)
			elseif move == "left" then
				setElementAttachedOffsets (tune.elements[object][vehicle], x-0.03, y, z)
			elseif move == "right" then
				setElementAttachedOffsets (tune.elements[object][vehicle], x+0.03, y, z)
			elseif move == "front" then
				setElementAttachedOffsets (tune.elements[object][vehicle], x, y+0.03, z)
			elseif move == "back" then
				setElementAttachedOffsets (tune.elements[object][vehicle], x, y-0.03, z)
			end
		end
	end
end
addEvent("moveTuneObject", true)
addEventHandler("moveTuneObject", root, moveTuneObject)

addEventHandler("onElementDestroy", root, function ()
	if getElementType(source) == "vehicle" then
		local attached = getAttachedElements(source)
		for i,v in pairs(attached) do
			destroyElement(v)
		end
 	end
end)
